## spamassassin 3.4.2.1+dde

=== debian/changelog ===
spamassassin (3.4.2.1+dde-1) unstable; urgency=medium

  * update

 -- Noah Meyerhans <noahm@debian.org>  Tue, 26 Oct 2021 13:23:54 +0800

spamassassin (3.4.2.1-1+dde) buster-security; urgency=high

  * Import upstream fix for CVE-2020-1946: arbitrary code execution via
    malicious rule files.

 -- jixianglong <jixianglong@uniontech.com>  Mon, 25 Oct 2021 09:59:23 +0800

spamassassin (3.4.2-1+deb10u2) buster-security; urgency=medium

  * Security update to address
    - CVE-2020-1930. Arbitrary code execution via malicious rule files.
    - CVE-2020-1931. Arbitrary code execution via malicious rule files.
    (Closes: #950258)

 -- Noah Meyerhans <noahm@debian.org>  Thu, 30 Jan 2020 08:50:54 -0800

spamassassin (3.4.2-1+deb10u1) buster-security; urgency=high

  * Security update to address CVE-2018-11805. Malicious rule or configuration
    files, possibly downloaded from an updates server, could execute arbitrary
    commands under multiple scenarios. (Closes: 946652)
  * Security update to address CVE-2019-12420.  Messages can be crafted in a
    way to use excessive resources, resulting in a denial of service.
    (Closes: 946653)

 -- Noah Meyerhans <noahm@debian.org>  Thu, 12 Dec 2019 20:26:44 -0800

spamassassin (3.4.2-1) unstable; urgency=medium

  * New upstream release fixes multiple security vulnerabilities
    - CVE-2017-15705: Denial of service issue in which certain unclosed
      tags in emails cause markup to be handled incorrectly leading to
      scan timeouts. (Closes: 908969)
    - CVE-2016-1238: Unsafe usage of "." in @INC in a configuration
      script.
    - CVE-2018-11780: potential Remote Code Execution bug with the
      PDFInfo plugin. (Closes: 908970)
    - CVE-2018-11781: local user code injection in the meta rule syntax.
      (Closes: 908971)
    - BayesStore: bayes_expire table grows, remove_running_expire_tok not
      called (Closes: 883775)
    - Fix use of uninitialized variable warning in PDFInfo.pm
      (Closes: 865924)
    - Fix "failed to parse plugin" error in
      Mail::SpamAssassin::Plugin::URILocalBL (Closes: 891041)
  * Don't recursively chown /var/lib/spamassassin during postinst.
    (Closes: 889501)
  * Reload spamd after compiling rules in sa-compile.postinst.
  * Preserve locally set ENABLED=1 setting from /etc/default/spamassassin
    when installing on systemd-based systems. (Closes: 884163, 858457)
  * Update SysV init script to cope with upstream's change to $0.
  * Remove compiled rules upon removal of the sa-compile package.
  * Ensure that /var/lib/spamassassin/compiled doesn't change modes with
    the cron job's execution. (Closes: 890650)
  * Update standards version to 4.2.1
  * Create /var/lib/spamassassin via dpkg, rather than the postinst.
    (Closes: 891833)

 -- Noah Meyerhans <noahm@debian.org>  Sun, 30 Sep 2018 23:44:58 -0700

spamassassin (3.4.1-8) unstable; urgency=medium

  * Fix inappropriate invocation of invoke-rc.d in cron script.
    (Closes: 865514)
  * Update systemd unit dependencies to include network and syslog.
    (Closes: 864810)
  * Migrate packaging to git, finally.
  * Apply upstream patch to fix regex error leading to warnings in perl
    5.26+ (Closes: 869408)
  * Add Multi-Arch: foreign headers to package definitions (Closes:
    #850454)
  * Update standards version to 4.1.0.0
  * Remove references to the obsolete syslog.target dependency in the
    systemd service file.
  * Clarify the use of the perl-major-upgrade dpkg trigger.
  * Fix spamd service manage on upgrades. (Closes: #865356)

 -- Noah Meyerhans <noahm@debian.org>  Sat, 09 Sep 2017 22:37:20 -0700

spamassassin (3.4.1-7) unstable; urgency=medium

  * Ensure that spamd doesn't automatically start upon initial
    installation.
  * Disable bb.barracudacentral.org (RCVD_IN_BRBL_LASTEXT), as
    it requires users to register. (Closes: #861671)
  * Update the systemd unit file to use the same pid file as was
    used in the sysvinit script. (Closes: #808804)
  * Update spamassassin docs to remove outdated gpg version
    compatibility note. (Closes: #853913)

 -- Noah Meyerhans <noahm@debian.org>  Thu, 11 May 2017 19:45:36 -0700

## spamassassin 3.4.3

=== debian/changelog ===
spamassassin (3.4.3-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Noah Meyerhans <noahm@debian.org>  Sat, 14 Dec 2019 09:19:45 -0800

spamassassin (3.4.3-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in debian/watch.
  * Bump debhelper from old 9 to 12.
  * Set debhelper-compat version in Build-Depends.

  [ Noah Meyerhans ]
  * New upstream release.

 -- Noah Meyerhans <noahm@debian.org>  Thu, 12 Dec 2019 10:40:56 -0800

spamassassin (3.4.3~rc7-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Noah Meyerhans <noahm@debian.org>  Tue, 26 Nov 2019 07:06:59 -0800

spamassassin (3.4.3~rc7-1) unstable; urgency=medium

  * Don't install sandbox rules or .pre files in /usr/share/spamassassin.
  * New upstream release candidate.

 -- Noah Meyerhans <noahm@debian.org>  Mon, 25 Nov 2019 10:53:07 -0800

spamassassin (3.4.3~rc6+1-1) unstable; urgency=medium

  * Repack the upstream rc6 snapshot, including missing components that are not
    included in upstream's subversion tag.

 -- Noah Meyerhans <noahm@debian.org>  Fri, 15 Nov 2019 07:02:22 -0800

spamassassin (3.4.3~rc6-1) unstable; urgency=medium

  * New upstream release. (Closes: 878569)
  * Incorporate upstream security fixes:
    - CVE-2018-11805: Malicious rules files, possibly retrieved
      automatically via sa-update, can run arbitrary commands.
    - CVE-2019-12420: A message can be crafted in a way to use excessive
      resources, resulting in a denial of service.
  * Clarify location of "site-specific" configuration in spamassassin man page.
    (Closes: 426031)

 -- Noah Meyerhans <noahm@debian.org>  Tue, 12 Nov 2019 10:47:49 -0800

spamassassin (3.4.2-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove trailing whitespaces
  * d/control: Remove XS-Testsuite field, not needed anymore

  [ Noah Meyerhans ]
  * Add libbsd-resource-perl to Suggests (Closes: 910434)
  * Update debhelper build-dep to 11.1 to support the
    dh_installinit --no-enable feature.
  * Fix severity of some spamd logs. (Closes: 913571)
  * Import upstream fix for "Not a HASH reference at
    /usr/share/perl5/Mail/SpamAssassin/Plugin/FromNameSpoof.pm"
    (Closes: 910435)
  * Remove /var/lib/spamassassin/compiled during sa-compile upgrades.
  * Move spamd pid file to from /var/run to /run
  * Apply upstream fix for Mail::SpamAssassin::Plugin::ASN reports wrong
    ASN for IPv6 (Closes: 918130)

 -- Noah Meyerhans <noahm@debian.org>  Fri, 18 Oct 2019 11:22:48 -0700

=== debian/control ===
Source: spamassassin
Section: mail
Priority: optional
Maintainer: Noah Meyerhans <noahm@debian.org>
Build-Depends: perl, libssl-dev, libhtml-parser-perl,
 libnet-dns-perl, libnetaddr-ip-perl, debhelper-compat (= 12),
 libberkeleydb-perl, netbase, libdbi-perl, libio-socket-inet6-perl
Standards-Version: 4.2.1.0
Homepage: https://www.spamassassin.org/
Vcs-Git: https://salsa.debian.org/debian/spamassassin.git
Vcs-Browser: https://salsa.debian.org/debian/spamassassin

Package: spamassassin
Architecture: all
Multi-Arch: foreign
Depends: perl, libhtml-parser-perl, libsocket6-perl, adduser,
 libsys-hostname-long-perl, libarchive-tar-perl, libnet-dns-perl,
 libnetaddr-ip-perl, libhttp-date-perl, libmail-dkim-perl,
 lsb-base (>= 3.0-6), libwww-perl | curl | w3m,
 init-system-helpers (>= 1.51), ${misc:Depends}
Recommends: spamc, sa-compile, libmail-spf-perl,
 libsys-syslog-perl, gnupg, libio-socket-inet6-perl
Suggests: razor, libio-socket-ssl-perl, libdbi-perl, pyzor,
 libcompress-zlib-perl, libencode-detect-perl,
 libgeoip2-perl, libnet-patricia-perl, libbsd-resource-perl
Provides: libmail-spamassassin-perl
Description: Perl-based spam filter using text analysis
 SpamAssassin is a very powerful and fully configurable spam filter
 with numerous features including automatic white-listing, RBL
 testing, Bayesian analysis, header and body text analysis. It is
 designed to be called from a user's .procmail or .forward file, but
 can also be integrated into a Mail Transport Agent (MTA).
 .
 Included in this package is a daemonized form of spamassassin (spamd)
 which communicates with its client (spamc) via TCP, to reduce the
 overhead of loading perl with each message. To take advantage of
 this, you must install the spamc package.

Package: spamc
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: spamassassin
Description: Client for SpamAssassin spam filtering daemon
 spamc is the client to communicate with spamd, the daemonized form of
 SpamAssassin (see the spamassassin package). It is written in C for
 maximum speed and minimum loading overhead.
 .
 spamc is quite useful for integrating spamassassin into an MTA or
 into a .procmailrc file because of its speed.
 .
 This package is useless unless you have spamassassin installed,
 either on this machine or another local machine (i.e. a mail server).

Package: sa-compile
Architecture: all
Multi-Arch: foreign
Enhances: spamassassin
Depends: spamassassin, re2c, gcc, libc6-dev, make, ${misc:Depends}
Description: Tools for compiling SpamAssassin rules into C
 sa-compile uses "re2c" to compile the site-wide parts of the
 SpamAssassin ruleset into C code for more efficient processing by
 spamd or spamassassin.

## spamassassin 3.4.4

=== debian/changelog ===
spamassassin (3.4.4-1ubuntu1) focal; urgency=medium

  * Update autopkgtest cases to python3
    - d/t/get_spam_points.py: Fix py2-isms to work with either version.
    - d/t/c: Require python3 instead of python

 -- Bryce Harrington <bryce@canonical.com>  Thu, 06 Feb 2020 01:13:48 +0000

spamassassin (3.4.4-1) unstable; urgency=medium

  * New upstream release.

 -- Noah Meyerhans <noahm@debian.org>  Thu, 30 Jan 2020 11:47:40 -0800

spamassassin (3.4.4~rc1-1) unstable; urgency=medium

  * When creating the debian-spamd user, set its shell to /usr/sbin/nologin
    (Closes: 920394, 918506)
  * New upstream release candidate fixes security issues:
    - CVE-2020-1930: Arbitrary code execution via malicious rules files
    - CVE-2020-1931: Arbitrary code execution via malicious rules files

 -- Noah Meyerhans <noahm@debian.org>  Mon, 20 Jan 2020 17:31:41 -0800

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: spamassassin
 Section: mail
 Priority: optional
-Maintainer: Noah Meyerhans <noahm@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Noah Meyerhans <noahm@debian.org>
 Build-Depends: perl, libssl-dev, libhtml-parser-perl,
  libnet-dns-perl, libnetaddr-ip-perl, debhelper-compat (= 12),
- libberkeleydb-perl, netbase, libdbi-perl, libio-socket-inet6-perl
+ libberkeleydb-perl, netbase, libdbi-perl, libio-socket-inet6-perl,
+ libdbd-mysql-perl
 Standards-Version: 4.2.1.0
 Homepage: https://www.spamassassin.org/
 Vcs-Git: https://salsa.debian.org/debian/spamassassin.git

=== debian/rules ===
#!/usr/bin/make -f

# SpamAssassin debian/rules
# Duncan Findlay

# Based on sample debian/rules by Joey Hess
# And patches from various people (see changelog)

#export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

# The architecture-dependent portion of this package can be built separately
# (i.e. without building the rest).

# Bad things could probably happen if we run this in parallel
.NOTPARALLEL:

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

SOURCE := $(shell dpkg-parsechangelog -SSource)
VERSION := $(shell dpkg-parsechangelog -SVersion)
VERSION_UPSTREAM := $(shell echo "$(VERSION)" | sed -e 's,-[^-]*$$,,')

DIR_ORIG = ../orig/$(SOURCE)-$(VERSION_UPSTREAM)
TAR_ORIG_NAME = $(SOURCE)_$(VERSION_UPSTREAM).orig.tar.xz
TAR_ORIG = $(firstword $(wildcard ../$(TAR_ORIG_NAME)) $(wildcard ../orig/$(TAR_ORIG_NAME)))

orig: $(DIR_ORIG)
	rsync --delete --exclude /debian --exclude .svk --exclude .svn --exclude .git --link-dest=$(DIR_ORIG)/ -a $(DIR_ORIG)/ .
	QUILT_PATCHES='$(CURDIR)/debian/patches' QUILT_PC=.pc quilt push --quiltrc - -a -q --fuzz=0

$(DIR_ORIG):
ifeq ($(TAR_ORIG),)
	$(error Cannot find orig tarball $(TAR_ORIG_NAME))
else
	mkdir -p ../orig
	tar -C ../orig -xaf $(TAR_ORIG)
endif

# For building both spamc and spamassassin
configure: configure-stamp
configure-stamp:

	dh_testdir

	perl Makefile.PL INSTALLDIRS=vendor \
	 DESTDIR=$(CURDIR)/debian/spamassassin \
	 CONFDIR=/etc/spamassassin LDFLAGS="$(LDFLAGS)" \
	 ENABLE_SSL=yes < /dev/null

	touch configure-stamp

build: build-indep build-arch

install: install-indep install-arch

binary: binary-indep binary-arch

clean: clean1
clean1:
	dh_testdir
	dh_testroot
	rm -f build-indep-stamp build-arch-stamp configure-stamp

	[ ! -f Makefile ] || $(MAKE) veryclean

	rm -f spamd/spamc.1p sa-awl.1p sa-check_spamd.1p
	rm -Rf t/log/*
	rm -f debian/semantic.cache

	dh_clean

maintainerclean:
	dh_testdir
	rm -f build-indep-stamp build-arch-stamp configure-stamp
	rm -rf $(filter-out debian .svk .svn .git, $(wildcard * .[^.]*))

#debian/po/templates.pot: debian/spamassassin.templates
#	-debconf-updatepo

# Spamassassin ONLY

build-indep: build-indep-stamp
#build-indep-stamp: configure debian/po/templates.pot
build-indep-stamp: configure-stamp

	dh_testdir

	$(MAKE) CFLAGS="$(CPPFLAGS) $(CFLAGS)" CFCCFLAGS="" CFLIBS=""

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(MAKE) test
endif


	pod2man sa-awl.raw sa-awl.1p
	pod2man sa-check_spamd.raw sa-check_spamd.1p
	touch build-indep-stamp

install-indep: install-spamassassin

# SpamAssassin

install-spamassassin: build-indep
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs -i

	$(MAKE) install DESTDIR=`pwd`/debian/spamassassin


#	Get rid of SPAMC stuff.
	rm debian/spamassassin/usr/bin/spamc debian/spamassassin/usr/share/man/man1/spamc.1p
#	...and sa-compile
	rm debian/spamassassin/usr/bin/sa-compile debian/spamassassin/usr/share/man/man1/sa-compile.1p

	dh_install -psa-compile sa-compile /usr/bin
	install -o root -g root -m664 debian/sa-compile.pre debian/sa-compile/etc/spamassassin
	dh_installman -psa-compile

#	Move spamd to /usr/sbin + fix the man file
	sed 's#SPAMD 1#SPAMD 8#' \
	 debian/spamassassin/usr/share/man/man1/spamd.1p \
	 > debian/spamassassin/usr/share/man/man8/spamd.8p
	rm debian/spamassassin/usr/share/man/man1/spamd.1p

	mv debian/spamassassin/usr/bin/spamd debian/spamassassin/usr/sbin/

#	Install Debian specific files
	install -o root -g root -m644 debian/65_debian.cf \
		debian/spamassassin/etc/spamassassin/65_debian.cf

	install -o root -g root -m644 debian/GPG.KEY \
		debian/spamassassin/usr/share/spamassassin/GPG.KEY

	-rmdir -p debian/spamassassin/usr/lib/perl5

	install -o root -g root -m644 ldap/README \
		debian/spamassassin/usr/share/doc/spamassassin/README.ldap
	install -o root -g root -m644 spamd/README \
		debian/spamassassin/usr/share/doc/spamassassin/README.spamd
	install -o root -g root -m644 rules/* debian/spamassassin/usr/share/spamassassin
	rm debian/spamassassin/usr/share/spamassassin/70_sandbox.cf \
		debian/spamassassin/usr/share/spamassassin/sandbox-*.pm \
		debian/spamassassin/usr/share/spamassassin/*.pre

binary-indep: build-indep install-indep
	dh_testdir -i
	dh_testroot -i
	dh_installman -i sa-awl.1p sa-check_spamd.1p
	dh_installdocs -i
	dh_installexamples -i
	dh_installsystemd -i --no-enable
	dh_installinit -i --no-enable --no-start
	dh_installsystemd -i --no-start
	dh_installcron -i
	dh_installchangelogs Changes -i
	dh_lintian
	dh_link -i
	dh_compress -i -XGPG.KEY
	dh_fixperms -i
	dh_installdeb -i
	dh_perl -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# spamc ONLY

build-arch: build-arch-stamp
#build-arch-stamp: configure debian/po/templates.pot
build-arch-stamp: configure-stamp

	dh_testdir

	-mkdir -p blib/man1

	$(MAKE) CFCCFLAGS="" CFLAGS="$(CPPFLAGS) $(CFLAGS)" \
	  CFLIBS="" spamc/spamc

	pod2man spamc/spamc.pod blib/man1/spamc.1p

	touch build-arch-stamp

install-arch: DH_OPTIONS=
install-arch: build-arch-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs -a

	install -o root -g root -m755 spamc/spamc debian/spamc/usr/bin/spamc

binary-arch: build-arch-stamp install-arch
	dh_testdir -a
	dh_testroot -a
	dh_installdocs -a
	dh_installman -a
	dh_installchangelogs Changes -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

.PHONY: build build-indep build-arch clean clean1 binary-indep binary-arch binary install configure install-indep install-indep-docs install-arch

=== debian/watch ===
version=2

https://www.apache.org/dist/spamassassin/source/Mail-SpamAssassin-([[:digit:]].*)\.tar\.gz \
    debian uupdate

## spamassassin 3.4.5~pre1

=== debian/changelog ===
spamassassin (3.4.5~pre1-4) unstable; urgency=medium

  [ Roel van Meer ]
  * postinst: Fix perms only if dir exists (Closes: #977957)

  [ Noah Meyerhans ]
  * Import upstream bug fix patches from the 3.4 release branch

 -- Noah Meyerhans <noahm@debian.org>  Thu, 15 Apr 2021 11:30:25 -0700

spamassassin (3.4.5~pre1-3) unstable; urgency=medium

  * Remove all python related dependencies from our autopkgtest suite to
    actually unblock the python2 removal.
    (Closes: #967039)

 -- Noah Meyerhans <noahm@debian.org>  Mon, 03 Aug 2020 22:29:50 -0700

spamassassin (3.4.5~pre1-2) unstable; urgency=medium

  * Update python dependencies to support the python2 removal effort
    (Closes: #967039)
  * Import a number of bug fixes from upstream's 3.4 branch that haven't yet
    made it into a pre-release snapshot

 -- Noah Meyerhans <noahm@debian.org>  Mon, 03 Aug 2020 15:44:52 -0700

spamassassin (3.4.5~pre1-1) unstable; urgency=medium

  * New upstream pre-release snapshot
  * Drop debian/patches/update-spamd-ssl-tests, which has been obviated by
    upstream changes
  * Fix warnings caused by numeric comparisons with non-numeric module version
  * Update Homepage in debian/control (Closes: #964060)

 -- Noah Meyerhans <noahm@debian.org>  Fri, 17 Jul 2020 09:25:33 -0700

## spamassassin 3.4.6

=== masses/Makefile ===
CC=		gcc
CFLAGS=		-g -O2 -Wall 
LDFLAGS=	-lm

PGAPACK=	/local/pgapack-1.0.0.1
#PGAPACKLIBDIR=  $(PGAPACK)/lib/linux    # linux
PGAPACKLIBDIR=  $(PGAPACK)/lib/sun4     # solaris

# What rule scoreset are we using?
include config

# what rules directory are we reading rules from?
RULES=          ../rules

#### Should be no need to modify below this line

all: perceptron

perceptron: perceptron.o
	$(CC) -o perceptron perceptron.o $(LDFLAGS)

perceptron.o: tmp/rules_${SCORESET}.pl tmp/tests.h tmp/scores.h
	$(CC) $(CFLAGS) -c -o perceptron.o perceptron.c

garescorer: tmp/rules_${SCORESET}.pl tmp/tests.h tmp/scores.h garescorer.c
	$(CC) $(CFLAGS) -DWL=2 -DOPTIMIZE -L $(PGAPACKLIBDIR) \
          -I $(PGAPACK)/include garescorer.c -o garescorer -lpgaO $(LDFLAGS)

tmp/rules_${SCORESET}.pl: tmp/.created ../build/parse-rules-for-masses
	perl ../build/parse-rules-for-masses -d $(RULES) -s $(SCORESET) \
            -o tmp/rules_${SCORESET}.pl

tmp/tests.h: tmp/.created tmp/ranges.data logs-to-c
	perl logs-to-c --cffile=$(RULES) --scoreset=$(SCORESET)

tmp/scores.h: tmp/tests.h

tmp/ranges.data: tmp/.created freqs score-ranges-from-freqs
	perl score-ranges-from-freqs $(RULES) $(SCORESET) < freqs

freqs: spam.log ham.log
	perl hit-frequencies -c $(RULES) -x -p -s $(SCORESET) > freqs

badrules: freqs
	perl lint-rules-from-freqs < freqs > badrules

tmp/.created:
	-mkdir tmp
	touch tmp/.created

clean:
	rm -rf *.o perceptron tmp freqs badrules \
          perceptron.scores garescorer garescorer.scores

=== debian/changelog ===
spamassassin (3.4.6-1ubuntu0.22.04.1) jammy; urgency=medium

  * d/p/fix-mkpath-untainted.patch: fix spamd running with virtual-config-dir
    mkdir error (LP: #1799185)

 -- Mitchell Dzurick <mitchell.dzurick@ubuntu.com>  Thu, 23 Mar 2023 13:06:03 -0700

spamassassin (3.4.6-1build3) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 25 Mar 2022 10:52:05 +0100

spamassassin (3.4.6-1build2) jammy; urgency=medium

  * No-change rebuild against openssl3

 -- Simon Chopin <simon.chopin@canonical.com>  Wed, 24 Nov 2021 14:02:08 +0000

spamassassin (3.4.6-1build1) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:24:41 +0200

spamassassin (3.4.6-1) unstable; urgency=medium

  [ Noah Meyerhans ]
  * New upstream release
  * Import fix for upstream bug 7848

  [ Guillem Jover ]
  * Finish partial removal of ENABLED handling (Closes: #947086)

 -- Noah Meyerhans <noahm@debian.org>  Sat, 29 May 2021 21:26:45 -0700

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  libberkeleydb-perl, netbase, libdbi-perl, libio-socket-inet6-perl,
  libdbd-mysql-perl
 Standards-Version: 4.2.1.0
-Homepage: https://www.spamassassin.org/
+Homepage: https://spamassassin.apache.org/
 Vcs-Git: https://salsa.debian.org/debian/spamassassin.git
 Vcs-Browser: https://salsa.debian.org/debian/spamassassin

=== debian/rules ===
--- 
+++ 
@@ -71,7 +71,8 @@
 
 	[ ! -f Makefile ] || $(MAKE) veryclean
 
-	rm -f spamd/spamc.1p sa-awl.1p sa-check_spamd.1p
+	rm -f spamd/spamc.1p sa-awl.1p sa-check_spamd.1p \
+		rules/70_sandbox.cf rules/72_active.cf
 	rm -Rf t/log/*
 	rm -f debian/semantic.cache

=== debian/tests/control ===
Tests: spamassassin.nospam spamassassin.spam daemon
Depends: spamassassin, procps
Restrictions: needs-root

## spamassassin 4.0.0~rc3

=== debian/changelog ===
spamassassin (4.0.0~rc3-3) unstable; urgency=medium

  * Enable hardening flags in systemd units
  * Update spamd init script to load /etc/default/spamd (Closes: #1020859)

 -- Noah Meyerhans <noahm@debian.org>  Sun, 02 Oct 2022 10:39:27 -0700

spamassassin (4.0.0~rc3-2) unstable; urgency=medium

  * Fix test execution in IPv6-only environments

 -- Noah Meyerhans <noahm@debian.org>  Sat, 24 Sep 2022 20:41:03 -0700

spamassassin (4.0.0~rc3-1) unstable; urgency=medium

  * New upstream release candidate

 -- Noah Meyerhans <noahm@debian.org>  Thu, 22 Sep 2022 10:55:12 -0700

spamassassin (4.0.0~rc2-2) unstable; urgency=medium

  * Fix autopkgtest failure

 -- Noah Meyerhans <noahm@debian.org>  Sun, 11 Sep 2022 17:56:13 -0700

spamassassin (4.0.0~rc2-1) unstable; urgency=medium

  * New upstream release candidate.
  * Preserve CRON=1 setting from /etc/default/spamassassin when migrating
    to systemd timers

 -- Noah Meyerhans <noahm@debian.org>  Sun, 11 Sep 2022 09:48:52 -0700

spamassassin (4.0.0~rc1+take2-2) experimental; urgency=medium

  [ Andreas Metzler ]
  * [lintian] Drop trailing whitespace in  debian/rules
  * Use dh sequencer
  * Use Rules-Requires-Root: no
  * Implement Debian CPPFLAGS
  * Set DEB_BUILD_MAINT_OPTIONS := hardening=+all
  * Drop superfluous code from rules
  * Use debhelper v13 compat mode
  * Declare compatibility with Standards-Version: 4.6.0
  * Also respect CPPFLAGS and LDFLAGS during testsuite run
  * Point dh_autoreconf at directory containing autoconf code.

 -- Noah Meyerhans <noahm@debian.org>  Sat, 10 Sep 2022 09:56:25 -0700

spamassassin (4.0.0~rc1+take2-1) experimental; urgency=medium

  * New upstream snapshot. Upstream re-pointed the 4.0.0-rc1 tag at svn
    revision 1903702 after previously having tagged an RC1 prematurely.
  * Add libtext-diff-perl to build-depends to support tests

 -- Noah Meyerhans <noahm@debian.org>  Fri, 26 Aug 2022 22:51:29 -0700

spamassassin (4.0.0~rc1+pre1-1) experimental; urgency=medium

  * Upstream pre-release snapshot. This is formally 4.0.0-pre1 upstream,
    but due to their prematurely released rc1, we've had to concoct a
    custom upstream version string.

 -- Noah Meyerhans <noahm@debian.org>  Thu, 05 May 2022 08:57:02 -0700

spamassassin (4.0.0~rc1-1) experimental; urgency=medium

  * Upstream release candidate

 -- Noah Meyerhans <noahm@debian.org>  Sat, 30 Apr 2022 09:07:59 -0700

spamassassin (4.0.0~0.0svn1900273-1) experimental; urgency=medium

  * New upstream snapshot (Closes: #1009979)

 -- Noah Meyerhans <noahm@debian.org>  Fri, 22 Apr 2022 14:46:11 -0700

spamassassin (4.0.0~0.0svn1899920-1) experimental; urgency=medium

  * New upstream snapshot
  * Add libio-string-perl to (Build-)Depends (Closes: #1006890)
  * Support passing https_proxy to sa-update if set (Closes: #1004489)

 -- Noah Meyerhans <noahm@debian.org>  Sun, 17 Apr 2022 07:48:21 -0700

spamassassin (4.0.0~0.0svn1896439-1) experimental; urgency=medium

  * New upstream snapshot

 -- Noah Meyerhans <noahm@debian.org>  Tue, 28 Dec 2021 11:46:22 -0800

spamassassin (4.0.0~0.0svn1894153-1) experimental; urgency=medium

  * update README.source
  * d/control: remove duplicate entreies
  * d/watch: update version, don't run uupdate
  * Fix utf-8 encoding of lib/Mail/SpamAssassin/Util.pm
  * New upstream snapshot

 -- Noah Meyerhans <noahm@debian.org>  Wed, 13 Oct 2021 14:28:01 -0700

spamassassin (4.0.0~0.0svn1892135-1) experimental; urgency=medium

  * New upstream snapshot

 -- Noah Meyerhans <noahm@debian.org>  Mon, 09 Aug 2021 10:40:38 -0700

spamassassin (4.0.0~0.0svn1890446-2) experimental; urgency=medium

  * Try harder to avoid pathname limits when running tests in buildd/CI
    environments

 -- Noah Meyerhans <noahm@debian.org>  Fri, 04 Jun 2021 08:33:43 -0700

spamassassin (4.0.0~0.0svn1890446-1) experimental; urgency=medium

  * New upstream snapshot
  * Work around test failures due to excessively long socket path names
    when running under GitLab CI environments.

 -- Noah Meyerhans <noahm@debian.org>  Thu, 03 Jun 2021 17:16:24 -0700

spamassassin (4.0.0~0.0svn1886510-1) experimental; urgency=medium

  * New upstream snapshot

 -- Noah Meyerhans <noahm@debian.org>  Tue, 16 Feb 2021 09:40:40 -0800

spamassassin (4.0.0~0.0svn1885032-2) experimental; urgency=medium

  * Don't try to stop spamassassin in preinst

 -- Noah Meyerhans <noahm@debian.org>  Sun, 03 Jan 2021 11:48:13 -0800

spamassassin (4.0.0~0.0svn1885032-1) experimental; urgency=medium

  * New upstream snapshot

 -- Noah Meyerhans <noahm@debian.org>  Sat, 02 Jan 2021 08:56:21 -0800

spamassassin (4.0.0~0.0svn1883449-1) experimental; urgency=medium

  * New upstream snapshot

 -- Noah Meyerhans <noahm@debian.org>  Thu, 03 Dec 2020 10:24:01 -0800

spamassassin (4.0.0~0.0svn1883440-2) experimental; urgency=medium

  * Split spamd into a separate package, Recommended by spamassassin.
  * replace start-stop-daemon with runuser in postinst scripts
  * sa-compile: update lintian overrides
  * d/rules: Remove generated rules during clean
  * spamassassin: move cleanup steps to postrm

 -- Noah Meyerhans <noahm@debian.org>  Mon, 30 Nov 2020 11:23:29 -0800

spamassassin (4.0.0~0.0svn1883440-1) experimental; urgency=medium

  * New upstream snapshot

 -- Noah Meyerhans <noahm@debian.org>  Sun, 15 Nov 2020 06:04:03 -0800

spamassassin (4.0.0~0.0svn1879217-2) experimental; urgency=medium

  * Update python dependencies to support the python2 removal effort
    (Closes: #967039)

 -- Noah Meyerhans <noahm@debian.org>  Mon, 03 Aug 2020 15:58:43 -0700

spamassassin (4.0.0~0.0svn1879217-1) experimental; urgency=medium

  * Introduce a systemd timer in place of the daily cron job.  The cron
    job will still be used if systemd is not in use.
  * New upstream snapshot
  * Configure systemd service as a "simple" service, not a "forking" service.

 -- Noah Meyerhans <noahm@debian.org>  Thu, 16 Apr 2020 14:41:49 -0700

## spamassassin 4.0.0~rc4

=== debian/changelog ===
spamassassin (4.0.0~rc4-1) unstable; urgency=medium

  * New upstream pre-release snapshot
    - Drop patch fix__tests_with_ipv6-only, integrated upstream.
  * Suppress lintian national-encoding warnings from encoding-specific files
  * Fix a pod error upstream

 -- Noah Meyerhans <noahm@debian.org>  Wed, 07 Dec 2022 21:22:57 -0800

## spamassassin 4.0.0

=== debian/changelog ===
spamassassin (4.0.0-8ubuntu5) noble; urgency=medium

  * d/control: Revert demotion on version 4.0.0-7ubuntu1 for
    libmail-dmarc-perl as result of being ACKed for promotion to
    main (see LP #2023971).
    (LP: #2061379)

 -- Miriam España Acebal <miriam.espana@canonical.com>  Fri, 12 Apr 2024 14:53:49 +0200

spamassassin (4.0.0-8ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:03:55 +1100

spamassassin (4.0.0-8ubuntu3) noble; urgency=medium

  * debian/patches/t-adapt-to-new-dns-module-behavior.patch: Adapt to
    new Net::DNS::Nameserver behavior.

 -- Zixing Liu <zixing.liu@canonical.com>  Wed, 20 Mar 2024 22:19:39 -0600

spamassassin (4.0.0-8ubuntu2) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 21:24:23 +0000

spamassassin (4.0.0-8ubuntu1) noble; urgency=medium

  * Merge with Debian unstable (LP: #2040424). Remaining changes:
    - d/control: Demote libmail-dmarc-perl from Recommends to Suggests to
      resolve a component mismatch while a MIR is in process. (see LP #2023971)

 -- Mitchell Dzurick <mitchell.dzurick@canonical.com>  Tue, 02 Jan 2024 11:40:00 -0700

spamassassin (4.0.0-8) unstable; urgency=medium

  * Drop reference to obsolete syslog.target in spamd.service
  * Import upstream patch for bug 1056001 (Closes: #1056001)
  * autopkgtest: give spamd time to set its cmd name

 -- Noah Meyerhans <noahm@debian.org>  Sun, 19 Nov 2023 12:08:09 -0800

spamassassin (4.0.0-7ubuntu1) mantic; urgency=medium

  * d/control: Demote libmail-dmarc-perl from Recommends to Suggests
    to resolve a component mismatch while a MIR is in process.
    (see LP #2023971)

 -- Bryce Harrington <bryce@canonical.com>  Tue, 22 Aug 2023 10:08:58 -0700

spamassassin (4.0.0-7) unstable; urgency=medium

  * Import upstream fix for DnsResolver.pm method deprecation warnings
    (Closes: #1041759)
  * spamassassin-maintenance: reload spamd only if it's running
    (Closes: #1028030)
  * sa-update: Import upstream fix to usage of deprecated function
    (Closes: #1039960)
  * Drop dependency on obsolete package lsb-base

 -- Noah Meyerhans <noahm@debian.org>  Tue, 25 Jul 2023 09:23:47 -0700

spamassassin (4.0.0-6) unstable; urgency=medium

  * No change. This adds a new version to resolve the situation introduced
    when locally built binary .deb files were inadvertently included with
    the 4.0.0-5 upload.

 -- Noah Meyerhans <noahm@debian.org>  Sun, 30 Apr 2023 09:16:27 -0700

spamassassin (4.0.0-5) unstable; urgency=medium

  * Update spamd.service to order after network-online.target (Closes: #1034347)

 -- Noah Meyerhans <noahm@debian.org>  Sun, 16 Apr 2023 13:28:05 -0700

spamassassin (4.0.0-4) unstable; urgency=medium

  * Revert "drop unused params from Makefile.PL"
  * Fix test for Socket module and drop libio-socket-inet6-perl
  * Disable AI_ADDRCONFIG when passing IPv4 literals to getaddrinfo
    (Closes: #1027925)

 -- Noah Meyerhans <noahm@debian.org>  Fri, 06 Jan 2023 13:05:09 -0800

spamassassin (4.0.0-3) unstable; urgency=medium

  * drop unused params from Makefile.PL
  * Add debug output for ipv6-only test failures

 -- Noah Meyerhans <noahm@debian.org>  Wed, 04 Jan 2023 08:59:45 -0800

spamassassin (4.0.0-2) unstable; urgency=medium

  * fix typo in spamd.default (Closes: #1027307)
  * move pid file to /run when running under sysvinit
  * Update NEWS to document spamd sandboxing settings (Closes: #1024444)
  * spamassassin: Add libmail-dmarc-perl to Recommends

 -- Noah Meyerhans <noahm@debian.org>  Tue, 03 Jan 2023 17:09:07 -0800

spamassassin (4.0.0-1) unstable; urgency=medium

  * New upstream release
  * Drop obsolete patches that have been incorporated upstream

 -- Noah Meyerhans <noahm@debian.org>  Sat, 17 Dec 2022 08:41:25 -0800

=== debian/control ===
Source: spamassassin
Section: mail
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Noah Meyerhans <noahm@debian.org>
Build-Depends: perl, libssl-dev, libhtml-parser-perl,
 libnet-dns-perl, libnetaddr-ip-perl, debhelper-compat (= 13),
 libberkeleydb-perl, netbase, libdbi-perl,
 libdbd-mysql-perl, libbsd-resource-perl, libio-string-perl,
 libtext-diff-perl
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: https://www.spamassassin.org/
Vcs-Git: https://salsa.debian.org/debian/spamassassin.git
Vcs-Browser: https://salsa.debian.org/debian/spamassassin

Package: spamassassin
Architecture: all
Multi-Arch: foreign
Depends: perl, libhtml-parser-perl, libsocket6-perl, adduser,
 libsys-hostname-long-perl, libarchive-tar-perl, libnet-dns-perl,
 libnetaddr-ip-perl, libhttp-date-perl, libmail-dkim-perl,
 libio-string-perl, libwww-perl | curl | w3m, ${misc:Depends}
Recommends: spamc, sa-compile (= ${source:Version}), libmail-spf-perl,
 libsys-syslog-perl, gnupg, libbsd-resource-perl, libmail-dmarc-perl
Suggests: razor, libio-socket-ssl-perl, libdbi-perl, pyzor,
 libcompress-zlib-perl, libencode-detect-perl,
 libgeoip2-perl, libnet-patricia-perl
Provides: libmail-spamassassin-perl
Description: Perl-based spam filter using text analysis
 SpamAssassin is a very powerful and fully configurable spam filter
 with numerous features including automatic white-listing, RBL
 testing, Bayesian analysis, header and body text analysis. It is
 designed to be called from a user's .procmail or .forward file, but
 can also be integrated into a Mail Transport Agent (MTA).
 .
 If you use spamassassin on a moderately high-volume mail server, you
 may which to consider installing the spamc and spamd packages, which
 provide a daemonized variant of spamassassin that avoids the need to
 start a full perl runtime for each message processed.

Package: spamc
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: spamd
Description: Client for SpamAssassin spam filtering daemon
 spamc is the client to communicate with spamd, the daemonized form of
 SpamAssassin (see the spamd package). It is written in C for
 maximum speed and minimum loading overhead.
 .
 spamc is quite useful for integrating spamassassin into an MTA or
 into a .procmailrc file because of its speed.
 .
 This package is useless unless you have spamassassin installed,
 either on this machine or another local machine (i.e. a mail server).

Package: sa-compile
Architecture: all
Multi-Arch: foreign
Enhances: spamassassin
Depends: spamassassin (= ${source:Version}), re2c, gcc, libc6-dev, make, ${misc:Depends}
Description: Tools for compiling SpamAssassin rules into C
 sa-compile uses "re2c" to compile the site-wide parts of the
 SpamAssassin ruleset into C code for more efficient processing by
 spamd or spamassassin.

Package: spamd
Architecture: all
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}
Depends: spamassassin (= ${source:Version}),
	 systemd | rsyslog | system-log-daemon,
	 init-system-helpers (>= 1.51),
	 ${shlibs:Depends}, ${misc:Depends}
Replaces: spamassassin (<< 4.0.0~0.0svn1883440-2)
Breaks: spamassassin (<< 4.0.0~0.0svn1883440-2)
Description: Server for SpamAssassin spam filtering daemon
 spamd is a daemonized spamassassin process. Intended to be used with
 the spamc client, the persistent nature of the spamd server allows it
 to avoid the overhead of instantiating the perl for each processed
 message.

## spamassassin 4.0.1

=== debian/changelog ===
spamassassin (4.0.1-1~deb12u1) bookworm; urgency=medium

  * New upstream maintenance release
    - Remove support for defunct SORBS internet service
    - Fix TCP fallback for large DNS query responses
  * Import upstream fix for DnsResolver.pm method deprecation warnings
    (Closes: #1041759)
  * spamassassin-maintenance: reload spamd only if it's running
    (Closes: #1028030)
  * sa-update: Import upstream fix to usage of deprecated function
    (Closes: #1039960)
  * Fix spamd: user_prefs include files are only read on the first scan (Closes: #1056001)
  * Run sa-update-hooks regardless of whether spamd is running (Closes: 1059744)
  * Be more explicit about exit codes in spamassassin-maint.sh
  * Remove a bashism in spamassassin-maint.sh
  * spamassassin-maint.sh: minor shell improvements
  * Refresh patch 10_change_config_paths
  * Remove patches that have been incorporated upstream
  * Fix systemd detection in cron script (Closes: #1067007)
  * Remove rules referencing the defunct SORBS DNSBLs (Closes: #1072663)
  * Incorporate upstream fix for PDFInfo.pm uninitialized value warnings
    (Closes: #1091683)
  * Restore phishstats.info support in Mail::SpamAssassin::Plugin::Phishing
  * ensure Debian CI jobs run in a bookworm environment

 -- Noah Meyerhans <noahm@debian.org>  Fri, 07 Feb 2025 16:13:08 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: spamassassin
 Section: mail
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Noah Meyerhans <noahm@debian.org>
+Maintainer: Noah Meyerhans <noahm@debian.org>
 Build-Depends: perl, libssl-dev, libhtml-parser-perl,
  libnet-dns-perl, libnetaddr-ip-perl, debhelper-compat (= 13),
  libberkeleydb-perl, netbase, libdbi-perl,
@@ -20,7 +19,8 @@
 Depends: perl, libhtml-parser-perl, libsocket6-perl, adduser,
  libsys-hostname-long-perl, libarchive-tar-perl, libnet-dns-perl,
  libnetaddr-ip-perl, libhttp-date-perl, libmail-dkim-perl,
- libio-string-perl, libwww-perl | curl | w3m, ${misc:Depends}
+ libio-string-perl, lsb-base (>= 3.0-6),
+ libwww-perl | curl | w3m, ${misc:Depends}
 Recommends: spamc, sa-compile (= ${source:Version}), libmail-spf-perl,
  libsys-syslog-perl, gnupg, libbsd-resource-perl, libmail-dmarc-perl
 Suggests: razor, libio-socket-ssl-perl, libdbi-perl, pyzor,

=== debian/watch ===
version=4

https://www.apache.org/dist/spamassassin/source/Mail-SpamAssassin-([[:digit:]].*)\.tar\.gz \
    debian

## spamassassin 4.0.1+svn1923525

=== debian/changelog ===
spamassassin (4.0.1+svn1923525-1) experimental; urgency=medium

  * Incorporate additional upstream changes to svn revision 1923525
  * Update rules to svn revision 1923525
  * Refresh or drop patches

 -- Noah Meyerhans <noahm@debian.org>  Mon, 03 Feb 2025 08:42:38 -0500

spamassassin (4.0.1-3) unstable; urgency=medium

  * Incorporate upstream fix for PDFInfo.pm uninitialized value warnings
    (Closes: #1091683)
  * clean up build-deps and set !nocheck where appropriate (Closes: #952698)
  * spamd: drop system-log-daemon to Recommends (Closes: #1072032)
  * prime the sa-update rule path with the packaged rules (Closes: #739489)
  * Remove obsolete spamassassin preinst script
  * cosmetic: whitespace fixes in maintainer scripts

 -- Noah Meyerhans <noahm@debian.org>  Thu, 09 Jan 2025 13:32:43 -0500

spamassassin (4.0.1-2) unstable; urgency=medium

  * Remove rules referencing the defunct SORBS DNSBLs (Closes: #1072663)

 -- Noah Meyerhans <noahm@debian.org>  Mon, 10 Jun 2024 11:00:26 -0700

spamassassin (4.0.1-1) unstable; urgency=medium

  * Fix systemd detection in cron script (Closes: #1067007)
  * New upstream release

 -- Noah Meyerhans <noahm@debian.org>  Mon, 01 Apr 2024 22:43:34 -0700

spamassassin (4.0.1~rc1-1) unstable; urgency=medium

  * New upstream release snapshot

 -- Noah Meyerhans <noahm@debian.org>  Wed, 20 Mar 2024 09:23:21 -0700

spamassassin (4.0.1~pre1-1) unstable; urgency=medium

  * New upstream pre-release snapshot (Closes: #1039459)
  * Remove a bashism in spamassassin-maint.sh
  * spamassassin-maint.sh: minor shell improvements
  * Refresh patch 10_change_config_paths
  * spamassassin-maint.sh: Run sa-update-hooks regardless of whether spamd
    is running (Closes: #1059744)
  * Remove patches that have been incorporated upstream

 -- Noah Meyerhans <noahm@debian.org>  Sat, 20 Jan 2024 18:39:17 -0800

spamassassin (4.0.0-9) unstable; urgency=medium

  * Run sa-update-hooks regardless of whether spamd is running (Closes: 1059744)
  * Be more explicit about exit codes in spamassassin-maint.sh

 -- Noah Meyerhans <noahm@debian.org>  Mon, 01 Jan 2024 09:34:51 -0800

## spamassassin 4.0.2~rc1

=== debian/changelog ===
spamassassin (4.0.2~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate
  * Delete or refresh all patches

 -- Noah Meyerhans <noahm@debian.org>  Tue, 22 Jul 2025 15:00:09 -0400

spamassassin (4.0.1-5) unstable; urgency=medium

  * User a dpkg trigger to restart spamd after sa-compile upgrades
    (Closes: #1108166)

 -- Noah Meyerhans <noahm@debian.org>  Thu, 26 Jun 2025 00:32:47 -0400

spamassassin (4.0.1-4) unstable; urgency=medium

  * backport patch for upstream bug #8237
  * Add libnet-libidn2-perl to build-deps for tests
  * import upstream logging fix when --virtual-config-dir is used
    (Closes: #1100826)
  * Ensure stdout from spamassassin-maint is discarded where intended
    (Closes: #634172)
  * Fix typo in Mail::SpamAssassin::Conf (Closes: #1072220)
  * Document the spamc default max message size (Closes: #951545)
  * Update bundled rules to upstream svn revision 1926576 (Closes: #1106669)
  * Update spamassassin README for systemd timer usage (Closes: #1108016)
  * skip spamd client tests during build (Closes: #1093943)

 -- Noah Meyerhans <noahm@debian.org>  Thu, 19 Jun 2025 10:09:07 -0400

## spamassassin 4.0.2~rc2

=== debian/changelog ===
spamassassin (4.0.2~rc2-1) unstable; urgency=medium

  * New upstream release candidate

 -- Noah Meyerhans <noahm@debian.org>  Mon, 11 Aug 2025 14:34:21 -0400

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,20 @@
 Section: mail
 Priority: optional
 Maintainer: Noah Meyerhans <noahm@debian.org>
-Build-Depends: perl, libssl-dev, libhtml-parser-perl,
- libnet-dns-perl, libnetaddr-ip-perl, debhelper-compat (= 13),
- libberkeleydb-perl, netbase, libdbi-perl,
- libdbd-mysql-perl, libbsd-resource-perl, libio-string-perl,
- libtext-diff-perl
+Build-Depends: debhelper-compat (= 13),
+	       perl,
+	       libssl-dev,
+	       libhtml-parser-perl,
+	       libnetaddr-ip-perl,
+	       libnet-dns-perl <!nocheck>,
+	       libberkeleydb-perl <!nocheck>,
+	       netbase <!nocheck>,
+	       libdbi-perl <!nocheck>,
+	       libdbd-mysql-perl <!nocheck>,
+	       libbsd-resource-perl <!nocheck>,
+	       libio-string-perl <!nocheck>,
+	       libnet-libidn2-perl <!nocheck>,
+	       libtext-diff-perl <!nocheck>
 Rules-Requires-Root: no
 Standards-Version: 4.6.0
 Homepage: https://www.spamassassin.org/
@@ -19,8 +28,7 @@
 Depends: perl, libhtml-parser-perl, libsocket6-perl, adduser,
  libsys-hostname-long-perl, libarchive-tar-perl, libnet-dns-perl,
  libnetaddr-ip-perl, libhttp-date-perl, libmail-dkim-perl,
- libio-string-perl, lsb-base (>= 3.0-6),
- libwww-perl | curl | w3m, ${misc:Depends}
+ libio-string-perl, libwww-perl | curl | w3m, ${misc:Depends}
 Recommends: spamc, sa-compile (= ${source:Version}), libmail-spf-perl,
  libsys-syslog-perl, gnupg, libbsd-resource-perl, libmail-dmarc-perl
 Suggests: razor, libio-socket-ssl-perl, libdbi-perl, pyzor,
@@ -70,9 +78,9 @@
 Multi-Arch: foreign
 Pre-Depends: ${misc:Pre-Depends}
 Depends: spamassassin (= ${source:Version}),
-	 systemd | rsyslog | system-log-daemon,
 	 init-system-helpers (>= 1.51),
 	 ${shlibs:Depends}, ${misc:Depends}
+Recommends: systemd | rsyslog | system-log-daemon
 Replaces: spamassassin (<< 4.0.0~0.0svn1883440-2)
 Breaks: spamassassin (<< 4.0.0~0.0svn1883440-2)
 Description: Server for SpamAssassin spam filtering daemon

=== debian/watch ===
version=4

https://downloads.apache.org/spamassassin/source/Mail-SpamAssassin-([[:digit:]].*)\.tar\.gz \
    debian
